Subject: bug#26735: closed (Re: Unable to build emacs with Intel compilers)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 29 May 2017 20:51:02 +0000

Your bug report

#26735: Unable to build emacs with Intel compilers

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
26735: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=26735
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Unable to build emacs with Intel compilers
From: Paul Eggert <[email-masked]>
To: "Stewart, Adam James" <[email-masked]>
Cc: [email-masked]
Date: Mon, 29 May 2017 13:50:09 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

I managed to obtain a copy of icc (ICC) 17.0.2 20170213, the same version in the 
original bug report, and could not reproduce the bug when building Emacs 25.2 on 
Ubuntu 16.04.2 LTS x86-65.

icc's stddef.h defines max_align_t inside this nested #if:

#if __STDC_VERSION__ >= 201112L || __cplusplus >= 201103L
#if !defined(__CLANG_MAX_ALIGN_T_DEFINED) /* || __has_feature(modules) */
#ifndef _MSC_VER

Possibly the original bug occurred when configuring with __STDC_VERSION__ equal 
to 201112, and building with __STDC_VERSION__ equal to some lower value, which 
is not something that is supposed to work in general. Or possibly there was a 
file lib/stddef.h left over from a previous build with some other compiler. 
Anyway, as this bug report looks like a false alarm and is not being followed up 
on, I'm taking the liberty of closing it. We can reopen it later if I was too hasty.

Subject: Unable to build emacs with Intel compilers
From: "Stewart, Adam James" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 1 May 2017 15:45:07 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I'm trying to build emacs 25.2 with Intel 17.0.2 on CentOS 7.3, but the build is crashing with the following error message:

alloc.c(1383): error: identifier "max_align_t" is undefined
    return (MALLOC_IS_GC_ALIGNED || (intptr_t) p % GCALIGNMENT == 0
            ^

alloc.c(1407): error: identifier "max_align_t" is undefined
    if (! MALLOC_IS_GC_ALIGNED)
          ^

Do you have any idea what might be causing this? I can send you the full build log if it will help.

Adam J. Stewart
Assistant Systems Administrator
Laboratory Computing Resource Center
Computing, Environment and Life Sciences
Argonne National Laboratory